# XQilla Simple API Documentation

# AutoNsScopeReset Class Reference

`#include <ContextHelpers.hpp>`

List of all members.

## Public Member Functions

| AutoNsScopeReset (StaticContext *context, xercesc::DOMXPathNSResolver *newResolver)
| ~AutoNsScopeReset ()

## Protected Attributes

StaticContext * | context_
const xercesc::DOMXPathNSResolver * | _oldNSResolver
const XMLCh * | _defaultElementAndTypeNS

## Constructor & Destructor Documentation

AutoNsScopeReset::AutoNsScopeReset | ( | StaticContext * | context,
|  | xercesc::DOMXPathNSResolver * | newResolver |
| ) |  |  | `[inline]`

References StaticContext::getDefaultElementAndTypeNS(), and StaticContext::getNSResolver().

AutoNsScopeReset::~AutoNsScopeReset | ( |  | ) | `[inline]`

## Member Data Documentation

const XMLCh* AutoNsScopeReset::_defaultElementAndTypeNS `[protected]`

const xercesc:: DOMXPathNSResolver* AutoNsScopeReset::_oldNSResolver `[protected]`

StaticContext* AutoNsScopeReset::context_ `[protected]`

The documentation for this class was generated from the following file:

- ContextHelpers.hpp